Subject: bug#37369: Getting network-manager-openconnect to work

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Sep 2019 17:57:51 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Wed, Sep 11, 2019 at 10:46:56PM +0200, Ludovic Courtès wrote:
>> Something I don’t get: why does NM itself know about openconnect?
>> 
>> There’s a network-manager-openconnect plugin, so I would expect
>> everything openconnect to happen there.  Do you know why it’s not that
>> way?
>> 
>> Thanks,
>> Ludo’.
>
> I don’t know.  The patch addresses (if it works) a function called
> nm_vpn_openconnect_authenticate_helper within the code for
> NetworkManager clients like nmtui, probably also nm-connection-editor,
> that calls openconnect --authenticate.

So I guess we first need someone to tell us whether the patch “works”,
as you wrote, right?  :-)

Ludo’.